class passwordprotect::grub2 {
        file {'/.../CUSTOM_GRUB_CONFIG':
                ensure => "directory",
        } ->
        concat { '/.../CUSTOM_GRUB_CONFIG/grub2.lockdown.password':
                ensure => present,
                mode => 700,
        }
        concat::fragment { 'GRUB2-PASSWORD-LOCKDOWN-FILE-CREATION':
                target => '/.../CUSTOM_GRUB_CONFIG/grub2.lockdown.password',
                content => template('grub2_lockdown_password.erb'),
        }
        exec { 'load_grub_base_config':
                command => "/.../CUSTOM_GRUB_CONFIG/grub2.lockdown.password",
		creates => "/etc/grub.d/01_users",
        }
}
